function init(hero) {
    hero.setName("Yuno/Black Clover Pre Timeskip");
    hero.setTier(6);
    
    hero.setChestplate("Jacket");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("tmfp:kaze_mahou");
    hero.addAttribute("FALL_RESISTANCE", 15.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 0.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    
    hero.addKeyBind("ENERGY_PROJECTION", "Fujin no Murasame/Wind Blades Shower", 1);
    hero.addKeyBind("CHARGED_BEAM", "Spirit Storm", 1);
    hero.addKeyBind("EARTHQUAKE", "Boran no To/Towering Tornado", 2);
    hero.addKeyBind("SHIELD", "Spirit of Zephyr", 2);
    hero.addKeyBind("SPIRITDIVE", "Toggle Spirit Dive", 3);
    hero.addKeyBind("OPEN_GRIMOIRE", "Open/Close Grimoire", 5);
    
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setHasProperty(hasProperty);
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.addAttributeProfile("SPIRITDIVE", spiritdiveProfile);
    hero.setAttributeProfile(getProfile);
}
function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 20.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.8, 1);
}
function spiritdiveProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.7, 1);
}
function getProfile(entity) {
    if (entity.getData("tmfp:dyn/spiritdive") && entity.getData("fiskheroes:shield")) {
        return "SHIELD";
    }
    else if (entity.getData("tmfp:dyn/spiritdive") && !entity.getData("fiskheroes:shield")) {
        return "SPIRITDIVE";
    }
    return null;
}
function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}
function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "ENERGY_PROJECTION":
        return !entity.getData("tmfp:dyn/spiritdive") && entity.getData("tmfp:dyn/grimoire_timer") == 1;
    case "EARTHQUAKE":
        return !entity.getData("tmfp:dyn/spiritdive") && entity.getData("tmfp:dyn/grimoire_timer") == 1;
    case "CHARGED_BEAM":
        return entity.getData("tmfp:dyn/spiritdive");
    case "SHIELD":
        return entity.getData("tmfp:dyn/spiritdive");
    case "SPIRITDIVE":
        return entity.getData("tmfp:dyn/grimoire_timer") == 1;
    default:
        return true;
    }
}
function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:shield":
        return entity.getData("tmfp:dyn/spiritdive");
    case "fiskheroes:gliding":
        return entity.getData("tmfp:dyn/spiritdive");
    default:
        return true;
    }
}